#
# spec file for package perl-Getopt-Long
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Getopt-Long
Version:        2.50
Release:        1.1
%define cpan_name Getopt-Long
Summary:        Extended processing of command line options
License:        software and you can redistribute it and/or modify it under the terms of the Perl Artistic License or the GNU General Public License as published by the Free Software Foundation and either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY and without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. If you do not have a copy of the GNU General Public License write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Getopt-Long/
Source0:        https://cpan.metacpan.org/authors/id/J/JV/JV/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The Getopt::Long module implements an extended getopt function called
GetOptions(). It parses the command line from '@ARGV', recognizing and
removing specified options and their possible values.

This function adheres to the POSIX syntax for command line options, with
GNU extensions. In general, this means that options have long names instead
of single letters, and are introduced with a double dash "--". Support for
bundling of command line options, as was the case with the more traditional
single-letter approach, is provided but not enabled by default.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES examples README

%changelog
* Sun May 28 2017 coolo@suse.com
- updated to 2.50
  see /usr/share/doc/packages/perl-Getopt-Long/CHANGES
  Changes in version 2.50
  - ----------------------
  * Fix bug https://rt.cpan.org/Ticket/Display.html?id=120231.
  * Fix bug https://rt.cpan.org/Ticket/Display.html?id=120300.
    Unfortunately, this withdraws a small part of fix 114999.
    GNU getopt_long() does not accept the (optional)
    argument to be passed to the option without = sign.
    We do, since not doing so breaks existing scripts.
  * Provide a default value for options (gnu_compat mode).
    Thanks to Andrew Gregory.
  Changes in version 2.49.1
  - ------------------------
  * Emergency fix Makefile.PL for non-GNUmake.
* Sun Jun 12 2016 coolo@suse.com
- updated to 2.49
  see /usr/share/doc/packages/perl-Getopt-Long/CHANGES
  Changes in version 2.49
  - ----------------------
  * Fix bug https://rt.cpan.org/Ticket/Display.html?id=114999
    Thanks Roy Ivy III for finding and fixing this.
  * Fix bug https://rt.cpan.org/Ticket/Display.html?id=113748
    Thanks Tom Wyant for finding and fixing this.
* Fri Nov  6 2015 coolo@suse.com
- updated to 2.48
  see /usr/share/doc/packages/perl-Getopt-Long/CHANGES
  Changes in version 2.48
  - ----------------------
  * Fix bug https://rt.cpan.org/Ticket/Display.html?id=39052.
    Thanks to Roy Ivy III for digging this out and providing patches.
* Thu Jun 18 2015 coolo@suse.com
- updated to 2.47
  see /usr/share/doc/packages/perl-Getopt-Long/CHANGES
  Changes in version 2.47
  - ----------------------
  * Fix bug https://rt.cpan.org/Ticket/Display.html?id=89513.
    Should have done that earlier :)
    This changes the format for accepted float numbers:
    <optional sign>
    <optional mantissa>
    <optional dec.point and fraction>
    <optional "e" and exponent>
    Mantissa and decimal fraction may not both be omitted.
    Underscores are permissible virtually anywhere in numbers for clarity.
* Sun Jun  7 2015 coolo@suse.com
- updated to 2.46
  see /usr/share/doc/packages/perl-Getopt-Long/CHANGES
  Changes in version 2.46
  - ----------------------
  * Fix bug https://rt.cpan.org/Ticket/Display.html?id=104842
    Kudo's to EDAVIS for finding this very obscure bug.
  * Some small changes/additions to the test suite and examples.
* Fri Apr 17 2015 coolo@suse.com
- updated to 2.45
  see /usr/share/doc/packages/perl-Getopt-Long/CHANGES
  Changes in version 2.45
  - ----------------------
  * Revert behaviour of the combination of <> and pass_through to what
    is was in 2.42.
    Thanks to Wilson Snyder to provide enhancements to the documentation
    to clarify why <> and pass_through generally is a bad idea.
    It is, however, very unfortunate to hear from users that their
    programs *depend* on the undocumented pre-2.43 behaviour.
  Changes in version 2.44
  - ----------------------
  * Be gentle to the user community and turn fix 92462 into a warning.
    This may be changed back to error in some future release.
  Changes in version 2.43
  - ----------------------
  * Fix bug https://rt.cpan.org/Ticket/Display.html?id=92462
  * Implement enhancement
    https://rt.cpan.org/Public/Bug/Display.html?id=101237
  * Fix the Getopt::Long part of bug
    https://rt.cpan.org/Ticket/Display.html?id=100335
* Wed Jun 25 2014 coolo@suse.com
- initial package 2.42
  * created by cpanspec 1.78.08
